Imports Microsoft.VisualBasic
Imports System
Imports System.Data
Imports System.Data.SqlClient
Imports System.Configuration


Public Class EmployeesManager
	' *****************************************************************************
	' Ctor(s)
	Public Sub New()
	End Sub

	' *****************************************************************************
	' Private member(s)
	'private const string cmdListOfNames = "SELECT employeeid, lastname FROM employees";
	'private const string cmdEmployeeDetails = "SELECT firstname, lastname, title, country, notes FROM employees WHERE employeeid={0}";

	' *****************************************************************************
	' Returns the list of all employees
	Public Function GetListofNames() As DataTable
		' Get the lastnames of all employees
		Dim adapter As SqlDataAdapter
		adapter = New SqlDataAdapter(EmployeeCommandList.cmdListOfNames, ConfigurationManager.ConnectionStrings("LocalNWind").ConnectionString)

		Dim table As New DataTable()
		adapter.Fill(table)

		Return table
	End Function

	' *****************************************************************************
	' Returns the list of all employees
	Public Function GetEmployeeDetails(ByVal empID As Integer) As EmployeeInfo
		' Get details about the specified employee
		Dim adapter As New SqlDataAdapter(String.Format(EmployeeCommandList.cmdEmployeeDetails, empID), ConfigurationManager.ConnectionStrings("LocalNWind").ConnectionString)
		Dim table As New DataTable()
		adapter.Fill(table)

		' Execute the command and populate the return buffer
		Dim row As DataRow = table.Rows(0)
		Dim info As New EmployeeInfo()
		info.ID = empID
		info.FirstName = row("firstname").ToString()
		info.LastName = row("lastname").ToString()
		info.Title = row("title").ToString()
		info.Country = row("country").ToString()
		info.Notes = row("notes").ToString()

		Return info
	End Function
End Class


Public Class EmployeeCommandList
	Public Shared cmdListOfNames As String = "SELECT employeeid, lastname FROM employees"
	Public Shared cmdEmployeeDetails As String = "SELECT firstname, lastname, title, country, notes FROM employees WHERE employeeid={0}"
End Class


Public Class EmployeeInfo
	Public ID As Integer
	Public FirstName As String
	Public LastName As String
	Public Title As String
	Public Country As String
	Public Notes As String
End Class
