Imports Microsoft.VisualBasic
Imports System
Imports System.Data
Imports System.Configuration
Imports System.Web
Imports System.Web.Security
Imports System.Web.UI


Namespace Core35.DAL.Helpers
	Public Class EmployeeCommands
		Public Shared cmdGetNames As String = "SELECT employeeid, lastname FROM employees"
		Public Shared cmdLoadAll As String = "SELECT * FROM employees"
		Public Shared cmdEmpCountries As String = "SELECT DISTINCT country FROM employees"
		Public Shared cmdLoadByCountry As String = "SELECT * FROM employees WHERE country=@country"
		Public Shared cmdLoad As String = "SELECT * FROM employees WHERE employeeid=@id"
		Public Shared cmdSave As String = "UPDATE employees SET " & " lastname=@lastname, firstname=@firstname, " & " birthdate=@birthdate, country=@country, title=@title " & "WHERE employeeid=@id"
		Public Shared cmdDelete As String = "DELETE FROM employees WHERE employeeid=@id"
	End Class

	Public Class CustomerCommands
		Public Shared cmdGetNames As String = "SELECT customerid, companyname FROM customers"
		Public Shared cmdLoadAll As String = "SELECT * FROM customers"
		Public Shared cmdLoadSet As String = "SELECT * FROM customers WHERE customerid LIKE @id + '%'"
		Public Shared cmdCustCountries As String = "SELECT DISTINCT country FROM customers"
		Public Shared cmdLoadByCountry As String = "SELECT * FROM customers WHERE country=@country OR @country='[All]'"
		Public Shared cmdLoad As String = "SELECT * FROM customers WHERE customerid=@id"
		Public Shared cmdSave As String = "UPDATE customers SET " & " companyname=@companyname, country=@country, city=@city, address=@address " & "WHERE customerid=@id"
		Public Shared cmdInsert As String = "INSERT INTO customers (customerid,companyname,address,city,country) " & "VALUES (@id,@companyname,@address,@city,@country)"
		Public Shared cmdDelete As String = "DELETE FROM customers WHERE customerid=@id"
		Public Shared cmdOrdersAll As String = "SELECT orderid, orderdate FROM orders WHERE customerid=@id"
	End Class

End Namespace
