Imports Microsoft.VisualBasic
Imports System
Imports System.Collections.Generic
Imports System.Text
Imports System.Net
Imports System.IO
Imports System.ComponentModel
Imports Samples.Services.FinanceInfo



Namespace Test
	Public Class DateFinanceInfoRenderer
		Inherits Samples.Services.FinanceInfo.DefaultFinanceInfoRenderer
		''' <summary>
		''' Class constructor
		''' </summary>
		Public Sub New()
		End Sub


		#Region "Overrides"

		''' <summary>
		''' Render quotes to a HTML table
		''' </summary>
		''' <param name="stocks">Array of the StockInfo objects to render</param>
		''' <returns>HTML message</returns>
		Protected Overrides Function GenerateHtml(ByVal stocks() As StockInfo) As String
			Dim lastUpdate As DateTime = DateTime.Now
			Dim markup As String = String.Format("<span><b>Last update: </b>{0} &diams; {1}</span>{2}", lastUpdate.ToString("ddd, dd MMM yyyy"), lastUpdate.ToString("hh:mm:ss"), MyBase.GenerateHtml(stocks))

			Return markup
		End Function

		#End Region

	End Class
End Namespace