Imports Microsoft.VisualBasic
Imports System
Imports System.Collections.Generic
Imports System.Text


Namespace Samples.Services.FinanceInfo
	Public Class BaseFinanceInfoRenderer
		Implements IFinanceInfoRenderer
		''' <summary>
		''' Class constructor
		''' </summary>
		Public Sub New()
		End Sub


		#Region "IFinanceInfoRenderer"

		''' <summary>
		''' Interface member to render quotes to a HTML table
		''' </summary>
		''' <param name="stocks">Array of the StockInfo objects to render</param>
		''' <returns>HTML message</returns>
		Private Function IFinanceInfoRenderer_GenerateHtml(ByVal stocks() As StockInfo) As String Implements IFinanceInfoRenderer.GenerateHtml
			Return Me.GenerateHtml(stocks)
		End Function

		#End Region


		#Region "Protected Virtual"

		''' <summary>
		''' Render quotes to a styled HTML table
		''' </summary>
		''' <param name="stocks">Array of the StockInfo objects to render</param>
		''' <returns>HTML message</returns>
		Protected Overridable Function GenerateHtml(ByVal stocks() As StockInfo) As String
			Return String.Empty
		End Function

		#End Region
	End Class
End Namespace