Imports Microsoft.VisualBasic
Imports System
Imports System.Collections.Generic
Imports System.ServiceModel


Namespace Samples.Services.FinanceInfo
	<ServiceContract(Namespace:="Samples.Services", Name:="FinanceInfoService")> _
	Public Interface IFinanceInfoService
		<OperationContract> _
		Function GetQuotes(ByVal symbols As String, ByVal isOffline As Boolean) As StockInfo()

		<OperationContract(Name:="GetQuotesOffline")> _
		Function GetQuotes(ByVal symbols As String) As StockInfo()

		<OperationContract(Name:="GetQuotesFromConfig")> _
		Function GetQuotes(ByVal isOffline As Boolean) As StockInfo()

		<OperationContract(Name := "GetQuotesFromConfigOffline")> _
		Function GetQuotes() As StockInfo()

		<OperationContract(Name := "GetQuotesOfflineAsHtml")> _
		Function GetQuotesAsHtml(ByVal symbols As String, ByVal isOffline As Boolean) As String

		<OperationContract(Name := "GetQuotesFromConfigAsHtml")> _
		Function GetQuotesAsHtml(ByVal isOffline As Boolean) As String

		<OperationContract(Name := "GetQuotesFromConfigAsHtmlEx")> _
		Function GetQuotesAsHtml(ByVal contextKey As String) As String
	End Interface
End Namespace



