Imports Microsoft.VisualBasic
Imports System
Imports System.Web
Imports System.Collections
Imports System.Web.Services
Imports System.Web.Services.Protocols
Imports System.Threading
Imports Core35.DAL
Imports System.Web.Script.Services


''' <summary>
''' Provides some public (Web) methods for data binding
''' </summary>

Namespace Core35.WebServices
	<WebService(Namespace := "http://core35.book/"), ScriptService, WebServiceBinding(ConformsTo := WsiProfiles.BasicProfile1_1)> _
	Public Class MyDataService
		Inherits System.Web.Services.WebService

		Public Sub New()

		End Sub

		<WebMethod> _
		Public Function LookupCustomer(ByVal id As String) As Core35.DAL.Customer
			Return Customers.Load(id)
		End Function

		<WebMethod> _
		Public Function LookupCustomerSlow(ByVal id As String) As Core35.DAL.Customer
			Thread.Sleep(6000)
			Return Customers.Load(id)
		End Function

		<WebMethod> _
		Public Function LookupAllCustomers() As CustomerCollection
			Return Customers.LoadAll()
		End Function

		<WebMethod> _
		Public Function LookupCustomers(ByVal query As String) As CustomerCollection
			Return Customers.LoadSet(query)
		End Function

		<WebMethod> _
		Public Function UpdateCustomer(ByVal cust As Core35.DAL.Customer) As Core35.DAL.Customer
			Return Customers.Save(cust)
		End Function

		<WebMethod> _
		Public Function VeryLengthyTask() As Integer
			Thread.Sleep(7000)
			Return 1
		End Function

		<WebMethod> _
		Public Function [Throw]() As Integer
			Throw New InvalidOperationException("Exception thrown for testing purposes")
		End Function

		<WebMethod> _
		Public Function FindOrdersByCustomerAsMarkup(ByVal id As String) As String
			Thread.Sleep(2000)
			Return Customers.FindOrdersByCustomerAsMarkup(id)
		End Function
	End Class
End Namespace

