Imports Microsoft.VisualBasic
Imports System
Imports System.Collections.Generic
Imports System.Linq
Imports System.Text

Namespace MyStuff
    Public Module StringExtensions
        <System.Runtime.CompilerServices.Extension()> _
        Public Function IsInt32(ByVal content As String) As Boolean
            Dim number As Integer
            Dim result As Boolean = Int32.TryParse(content, number)
            Return result
        End Function

        <System.Runtime.CompilerServices.Extension()> _
        Public Function IsDate(ByVal content As String) As Boolean
            Dim [date] As DateTime
            Dim result As Boolean = DateTime.TryParse(content, [date])
            Return result
        End Function

        <System.Runtime.CompilerServices.Extension()> _
        Public Function ToDate(ByVal content As String) As DateTime
            Dim [date] As DateTime
            Dim result As Boolean = DateTime.TryParse(content, [date])
            If result Then
                Return [date]
            Else
                Return DateTime.MinValue
            End If
        End Function

        <System.Runtime.CompilerServices.Extension()> _
        Public Function ToInt32(ByVal content As String) As Integer
            Dim number As Integer
            Dim result As Boolean = Int32.TryParse(content, number)
            If result Then
                Return number
            Else
                Return Int32.MinValue
            End If
        End Function
    End Module
End Namespace
